[arch-commits] Commit in xskat/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 22 22:18:44 EDT 2009


    Date: Wednesday, April 22, 2009 @ 22:18:44
  Author: eric
Revision: 36462

upgpkg: xskat 4.0-3
    Added man pages, Added imake makedepends, Renamed license file

Modified:
  xskat/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-23 01:02:01 UTC (rev 36461)
+++ PKGBUILD	2009-04-23 02:18:44 UTC (rev 36462)
@@ -4,22 +4,23 @@
 
 pkgname=xskat
 pkgver=4.0
-pkgrel=2
+pkgrel=3
 pkgdesc="XSkat lets you play the card game Skat as defined by the official Skat Order on any Un*x machine running X11"
 arch=('i686' 'x86_64')
 url="http://www.xskat.de/xskat.html"
 license=('custom')
 depends=('libx11')
+makedepends=('imake')
 source=(http://www.xskat.de/$pkgname-$pkgver.tar.gz)
 md5sums=('6744cea48a890771736b75083e7ea2b5')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make BINDIR=$startdir/pkg/usr/bin install
+  make DESTDIR=$pkgdir MANPATH=/usr/share/man install install.man || return 1
 
 # install custom license
 install -Dm644 $srcdir/$pkgname-$pkgver/README \
-	$pkgdir/usr/share/licenses/$pkgname/README
+	$pkgdir/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list